#
#    CDC specific Makefile
#

MACHID = CDC

#
OPT = -O3
OBJ = u
OBJOPT = -j
EXTRA_CFLAGS = -Dclock_t=long -UGTOD -DSYSV -Olimit 2000 -G 4104
#EXTRA_FFLAGS =
EXTRA_LDFLAGS = -G 4104
#EXTRA_LIBS =
INMACH = short
OUTMACH = short
DEVS = /dev/dsk/isc0d4s5 /dev/dsk/isc0d2s2
DIRS = .

STD_TGTS = validate all compile run clean clobber compare save tools analyze

$(STD_TGTS):
	make "MACHID=${MACHID}" "EXTRA_CFLAGS=$(EXTRA_CFLAGS)" "OPT=$(OPT)" \
	 "INMACH=${INMACH}" "OUTMACH=${OUTMACH}" \
	 "OBJOPT=$(OBJOPT)" "OBJ=$(OBJ)" "EXTRA_LDFLAGS=$(EXTRA_LDFLAGS)" $@

test:
	make "MACHID=${MACHID}" "EXTRA_CFLAGS=$(EXTRA_CFLAGS)" "OPT=$(OPT)" \
"OBJOPT=$(OBJOPT)" "OBJ=$(OBJ)" "DEVS=$(DEVS)" "INMACH=test" "OUTMACH=test"  \
"EXTRA_LDFLAGS=$(EXTRA_LDFLAGS)" validate

