#!/bin/sh
# This script is used from Makefile to analyze 084.iobenchpf run results
#	$1 is pathname of summary file to anayze
#	$2 is name of awk to use

if [ ! -f $1 ]
then
	echo $1 does not exist, runs failed
	exit
fi
if [ `egrep INVALID $1 | wc -l` -ne 0 ]
then
	echo One or more runs failed
else
	echo All runs completed normally
	$2 -f analyze.awk $1
fi

