/* This utility creates a file of a specified size given in KB.

   createfile path size

   It can be used to pre-create IOBENCH benchmark files
*/

#include <stdio.h>

#define BUFFLEN 1024

main(argc,argv)
char **argv;
	{
	FILE *fp;
	register int len,n;
	char buff[BUFFLEN];

	if (argc < 3) {
		printf("Usage: createfile path size\nwhere size is in KB\n");
		return;
		}

	if ((fp = fopen(argv[1],"w")) == NULL) {
		printf("Couldn't create %s\n",argv[1]);
		return;
		}

	len = atoi(argv[2]);

	buff[0] = 1;
	buff[512] = 1;
	fseek(fp,0,0);

	for(n=0;n < len;n++)
		if (fwrite(buff,BUFFLEN,1,fp) != 1) {
			printf("write %d failed\n",n);
 			return;
			}

	}

