#!/bin/sh
# message FILES FILELEN
#
XFILES=4
XFILELEN=20480000

echo "***" This is a reference run using FILES = $1 and FILELEN = $2.

if [ \( $1 -eq $XFILES \) -a \( $2 -eq $XFILELEN \) ]
then
	echo "***" The results of this run can be used to determine the
	echo "***" SPEC IOBENCH performance rating of your system.
else
	echo "***" You changed FILES and/or FILELEN from the SPEC defaults.
	echo "***" This run serves only to verify that IOBENCH runs on your system.
	echo "***" The results of this run are NOT valid for determining the SPEC
	echo "***" IOBENCH performance rating of your system.
fi
echo "***"

echo "***" This run consists of a series of individual tests.  The STDERR output
echo "***" for each test is captured in a file result/test\*.err.  If there is a
echo "***" serious error in a test, subsequent tests are not performed and the
echo "***" saved STDERR output is printed on /dev/tty.  Since file systems are
echo "***" mounted and unmounted during this run, there may be warning messages
echo "***" related to the mount and unmount operations left in the test\*.err
echo "***" files - you can ignore these. 
echo "***" 
